{% extends "::layout.html.twig" %}
{% set section="miz" %}
{% set map=miz.mission.theatre|lower %}
{% block head %}
    {{ parent() }}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/svg.js/2.6.4/svg.min.js"></script>
{% endblock %}

{% block pageWrapper %}
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header"><a href="{{ path("miz_view", {"miz": miz.uuidSide(miz.side), "side": miz.side}) }}">{{ miz.title }}</a> / <a href="{{ path("miz_view_group", {"miz": miz.uuidSide(miz.side), "side": miz.side, "groupId": group.id}) }}">{{ group.name }}</a></h1>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <table class="table">
                <tbody>
                <tr>
                    <td><b>Task :</b></td>
                    <td>{{ group.task }}</td>
                </tr>
                {% if group.route is defined %}
                    <tr>
                        <th colspan="2">Route</th>
                    </tr>
                    <tr>
                        <td colspan="2">
                            {% set totalDistance=0 %}
                            {% set totalTime=0 %}
                            <table class="table">
                                <thead>
                                <tr>
                                    <th>WP</th>
                                    <th>Pos</th>
                                    <th>Alt</th>
                                    <th>Hdg</th>
                                    <th>Dist</th>
                                    <th>Speed</th>
                                    <th>ETA</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for waypointId,waypoint in group.route.waypoints %}
                                    {% set nextWaypoint=miz_service.calcNextWaypoint(group.route.waypoints,waypointId) %}
                                    <tr>
                                        <td>
                                            {{ waypoint.action }}
                                        </td>
                                        <td>
                                            {{ waypoint.position | xyToLL(map) | latLongDec }}
                                        </td>
                                        <td>
                                            {{ waypoint.altitude }}
                                        </td>
                                        {% if nextWaypoint is null %}
                                            <td colspan="4">&nbsp;</td>
                                        {% else %}
                                            {% set totalDistance=totalDistance+nextWaypoint.distance %}
                                            {% set totalTime=totalTime+nextWaypoint.ETA %}
                                            <td>
                                                {{ nextWaypoint.heading }}
                                            </td>
                                            <td>
                                                {# raw distance in meters #}
                                                {{ (nextWaypoint.distance/1000)|round(1) }} km<br/>
                                                {{ ((nextWaypoint.distance/1000)*0.539957)|round(1) }} Nm
                                            </td>
                                            <td>
                                                {# speed in m/s #}
                                                {{ (nextWaypoint.speed*3.6)|number_format(0) }} km/h<br/>
                                                {{ (nextWaypoint.speed*3.6*0.539957)|number_format(0) }} kts
                                            </td>
                                            <td>
                                                {% if nextWaypoint.ETA > 0 %}
                                                    {{ "%dm %02ds"|format(nextWaypoint.ETA/60,nextWaypoint.ETA%60) }}
                                                {% else %}
                                                    n/a
                                                {% endif %}
                                            </td>
                                        {% endif %}
                                        {#<td>#}
                                        {#{{ dump(waypoint) }}#}
                                        {#</td>#}
                                    </tr>
                                {% endfor %}
                                </tbody>
                                <tfoot>
                                <tr>
                                    <th colspan="3">
                                        <b>Total :</b>
                                    </th>
                                    <th>
                                        {% if totalDistance > 0 %}
                                            {{ (totalDistance/1000) | round(1) }} km<br/>
                                            {{ ((totalDistance/1000)*0.539957)|round(1) }} Nm
                                        {% else %}
                                            n/a
                                        {% endif %}
                                    </th>
                                    <th>&nbsp;</th>
                                    <th>
                                        {% if totalTime > 0 %}
                                            {{ "%dm %02ds"|format(totalTime/60,totalTime%60) }}
                                        {% else %}
                                            n/a
                                        {% endif %}
                                    </th>
                                </tr>
                                </tfoot>
                            </table>
                        </td>
                    </tr>
                {% endif %}
                </tbody>
            </table>
        </div>
        {#{{ dump(miz.mission) }}#}
    </div>
    <div class="row">
        <div class="col-sm-12">
            {{ render(controller('AppBundle:Miz:map', {"miz": miz, "side": miz.side, "groupId": group.id})) }}
        </div>
    </div>
{% endblock %}
